Loading...
Searching...
No Matches
Mac_addr Class Reference
Virtio Net Switch

A wrapper class around the value of a MAC address. More...

`#include <mac_addr.h>`

Collaboration diagram for Mac_addr:

## Public Member Functions

bool | is_broadcast () const
| Check if MAC address is a broadcast or multicast address.
bool | is_unknown () const
| Check if the MAC address is not yet known.

## Detailed Description

A wrapper class around the value of a MAC address.

Definition at line 19 of file mac_addr.h.

The documentation for this class was generated from the following file:

- pkg/virtio-net-switch/server/switch/mac_addr.h